/**
 * @file usb-enum.h
 *
 * @brief OASIS USB Attenuator driver library interface
 *
 * This file describes the external interface to the OASIS USB Attenuator
 * driver and provides the definitios for proper communication
 * with the device
 *
 * Copyright (c) 2021 CERN
 * @author David Cobas <dcobas AT cern.ch>
 *
 * @section license_sec License
 * Released under the GPL v2. (and only v2, not any later version)
 */

struct oau_usb_dev {
	int	lun;
	char	busnum[6];
	char	devnum[6];
	char	portnum[6];
	char	busport[16];
	char	devno[10];
	char	serial[48];
	char	path[256];
	int	unused[4];
};

struct oau_devarray {
	int			ndevs;
	struct oau_usb_dev	*devs;
};

void oau_display_devarray(struct oau_devarray *ls);
struct oau_devarray *oau_get_devarray(char *vendor_id, char *device_id);
